Subject: bug#12766: read-from-minibuffer does not preserve current-buffer

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Oct 2012 15:21:27 -0400

> FWIW the problem already happens when choose_minibuf_frame calls
> Fset_frame_selected_window.  The patch below seems to fix it.

Right, I would expect it to fix the problem, indeed.  IOW, please
install.  But I still wonder, how come this was not needed earlier.

        Stefan